[SCM] icecast2/master: Revert "Changed init script to create pid file by default." because it do not work.
pere at users.alioth.debian.org
pere at users.alioth.debian.org
Tue Aug 8 22:10:31 UTC 2017
The following commit has been merged in the master branch:
commit c0b0dcb46e4c35779a879a3e6cad58ce6d242594
Author: Petter Reinholdtsen <pere at hungry.com>
Date: Wed Aug 9 00:09:39 2017 +0200
Revert "Changed init script to create pid file by default."
because it do not work.
This reverts commit 76a358e0075a74d51b6c951a673fbb685b4622c1.
diff --git a/debian/icecast2.init b/debian/icecast2.init
index a51abcb..84fc2db 100644
--- a/debian/icecast2.init
+++ b/debian/icecast2.init
@@ -34,7 +34,6 @@ CONFIGDEFAULTFILE="/etc/default/icecast2"
USERID=icecast2
GROUPID=icecast
ENABLE="false"
-PIDFILE=/var/run/icecast2.pid
# Reads config file (will override defaults above)
[ -r "$CONFIGDEFAULTFILE" ] && . $CONFIGDEFAULTFILE
@@ -49,7 +48,7 @@ case "$1" in
if [ "$ENABLE" != "true" ];then
cancel
else
- start-stop-daemon --pidfile "$PIDFILE" --start --quiet --chuid $USERID:$GROUPID \
+ start-stop-daemon --start --quiet --chuid $USERID:$GROUPID \
--exec $DAEMON -- -b -c $CONFIGFILE > /dev/null
fi
log_end_msg $?
@@ -57,7 +56,7 @@ case "$1" in
stop)
log_daemon_msg "Stopping $DESC" "$NAME"
# Send TERM after 5 seconds, wait at most 30 seconds.
- start-stop-daemon --pidfile "$PIDFILE" --stop --oknodo --retry TERM/5/0/30 --quiet --exec $DAEMON
+ start-stop-daemon --stop --oknodo --retry TERM/5/0/30 --quiet --exec $DAEMON
log_end_msg $?
;;
reload|force-reload)
@@ -65,7 +64,7 @@ case "$1" in
if [ "$ENABLE" != "true" ];then
cancel
else
- start-stop-daemon --pidfile "$PIDFILE" --stop --signal 1 --quiet --exec $DAEMON
+ start-stop-daemon --stop --signal 1 --quiet --exec $DAEMON
fi
log_end_msg $?
;;
@@ -75,14 +74,14 @@ case "$1" in
cancel
else
# Send TERM after 5 seconds, wait at most 30 seconds.
- start-stop-daemon --pidfile "$PIDFILE" --stop --oknodo --retry TERM/5/0/30 --quiet --exec $DAEMON
- start-stop-daemon --pidfile "$PIDFILE" --start --quiet --chuid $USERID:$GROUPID \
+ start-stop-daemon --stop --oknodo --retry TERM/5/0/30 --quiet --exec $DAEMON
+ start-stop-daemon --start --quiet --chuid $USERID:$GROUPID \
--exec $DAEMON -- -b -c $CONFIGFILE > /dev/null
fi
log_end_msg $?
;;
status)
- status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
*)
echo "Usage: $0 {start|stop|restart|reload|force-reload}" >&2
--
icecast2 packaging
More information about the pkg-multimedia-commits
mailing list